# Retrieve a TransactionEntry object Retrieves the details of a TransactionEntry by ID. ## Parameters - `id` (string, required) The ID of the TransactionEntry to retrieve. ## Returns ## Response attributes - `id` (string) Unique identifier for the object. - `object` (string, value is "v2.money_management.transaction_entry") String representing the object’s type. Objects of the same type share the same value of the object field. - `balance_impact` (object) The delta to the FinancialAccount’s balance. - `balance_impact.available` (object) Impact to the available balance. - `balance_impact.available.currency` (string) A lowercase alpha3 currency code like “usd”. - `balance_impact.available.value` (integer) In minor units like 123 for 1.23 USD. - `balance_impact.inbound_pending` (object) Impact to the inbound_pending balance. - `balance_impact.inbound_pending.currency` (string) A lowercase alpha3 currency code like “usd”. - `balance_impact.inbound_pending.value` (integer) In minor units like 123 for 1.23 USD. - `balance_impact.outbound_pending` (object) Impact to the outbound_pending balance. - `balance_impact.outbound_pending.currency` (string) A lowercase alpha3 currency code like “usd”. - `balance_impact.outbound_pending.value` (integer) In minor units like 123 for 1.23 USD. - `created` (timestamp) Time at which the object was created. - `effective_at` (timestamp) Time at which the entry impacted (or will impact if it’s in the future) the FinancialAccount balance. - `livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. - `transaction` (string) The Transaction that this TransactionEntry belongs to. - `transaction_details` (object) Details copied from the transaction that this TransactionEntry belongs to. - `transaction_details.category` (enum) A descriptive category used to classify the Transaction. Possible enum values: - `adjustment` This Transaction is the main Transaction for an Adjustment. - `inbound_transfer` This Transaction is the main Transaction for an InboundTransfer. - `outbound_payment` This Transaction is the main Transaction for an OutboundPayment. - `outbound_transfer` This Transaction is the main Transaction for an OutboundTransfer. - `received_credit` This Transaction is the main Transaction for a ReceivedCredit. - `received_debit` This Transaction is the main Transaction for a ReceivedDebit. - `return` This Transaction is for the return of funds, such as when an OutboundPayment is returned by the recipient’s bank. - `stripe_fee` This Transaction is for a fee assessed by Stripe. - `transaction_details.financial_account` (string) Indicates the FinancialAccount affected by this Transaction. - `transaction_details.flow` (object) Details about the Flow object that created the Transaction. - `transaction_details.flow.adjustment` (string, nullable) If applicable, the ID of the Adjustment that created this Transaction. - `transaction_details.flow.fee_transaction` (string, nullable) If applicable, the ID of the FeeTransaction that created this Transaction. - `transaction_details.flow.inbound_transfer` (string, nullable) If applicable, the ID of the InboundTransfer that created this Transaction. - `transaction_details.flow.outbound_payment` (string, nullable) If applicable, the ID of the OutboundPayment that created this Transaction. - `transaction_details.flow.outbound_transfer` (string, nullable) If applicable, the ID of the OutboundTransfer that created this Transaction. - `transaction_details.flow.received_credit` (string, nullable) If applicable, the ID of the ReceivedCredit that created this Transaction. - `transaction_details.flow.received_debit` (string, nullable) If applicable, the ID of the ReceivedDebit that created this Transaction. - `transaction_details.flow.type` (enum) Type of the flow that created the Transaction. The field matching this value will contain the ID of the flow. Possible enum values: - `adjustment` This Transaction was created by an Adjustment. - `fee_transaction` This Transaction was created by a FeeTransaction. - `inbound_transfer` This Transaction was created by an InboundTransfer. - `outbound_payment` This Transaction was created by an OutboundPayment. - `outbound_transfer` This Transaction was created by an OutboundTransfer. - `received_credit` This Transaction was created by a ReceivedCredit. - `received_debit` This Transaction was created by a ReceivedDebit. ## Error Codes | HTTP status code | Code | Description | | ---------------- | --------- | -------------------------- | | 404 | not_found | The resource wasn’t found. | ```curl curl https://api.stripe.com/v2/money_management/transaction_entries/trxne_65O8p4MRdLlbQQi89Zy16NoTesLDSQ1IgNPigisRKq0N8y \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2025-04-30.preview" ``` ### Response ```json { "id": "trxne_65O8p4MRdLlbQQi89Zy16NoTesLDSQ1IgNPigisRKq0N8y", "object": "v2.money_management.transaction_entry", "balance_impact": { "available": { "value": 0, "currency": "usd" }, "inbound_pending": { "value": 0, "currency": "usd" }, "outbound_pending": { "value": -100, "currency": "usd" } }, "effective_at": "2023-04-21T21:03:19.873Z", "created": "2023-04-21T21:03:22.244Z", "transaction": "trxn_65O8p4Ez7cWUhTaRLZy16NoTesLDSQ1IgNPigisRKq0Ino", "transaction_details": { "financial_account": "fa_65NvnnT0stRlwPDg2kc16NoTesLDSQ1IgNPigisRKq00Km", "category": "outbound_transfer", "flow": { "outbound_transfer": "obt_5O8p4ExNCNlP9gLp4c16NoTesLDSQ1IgNPigisRKq0Nou", "type": "outbound_transfer" } } } ```